%define name 		LPRng
%define version 	3.6.24
%define release 	3mdk

Summary: 	LPRng Print Spooler
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		System/Configuration/Printing
Copyright: 	GPL and Artistic
URL: 		http://www.astart.com/LPRng.html
Source0: 	ftp://ftp.astart.com/pub/LPRng/LPRng/%{name}-%{version}.tar.bz2
Source1: 	lprng.init
Patch0: 	LPRng-3.6.13-decl.patch.bz2
Patch1: 	LPRng-3.6.16-krb5.patch.bz2
Patch2: 	LPRng-3.6.16-glibc22.patch.bz2
Patch3: 	LPRng-3.6.16-fixmake.patch.bz2
Patch4: 	LPRng-3.6.21-filter.patch.bz2
Patch5: 	LPRng-3.6.21-lockfile.patch.bz2
Patch6:		LPRng-3.6.22-chris-nls.patch.bz2
Patch7:		LPRng-3.6.24-syslog.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Prereq: 	/sbin/chkconfig, mktemp, fileutils, textutils, gawk

Provides: 	lpr lprng
Obsoletes: 	lpr


%description
The LPRng software is an enhanced, extended, and portable implementation
of the Berkeley LPR print spooler functionality. While providing the
same interface and meeting RFC1179 requirements, the implementation
is completely new and provides support for the following features:
lightweight (no databases needed) lpr, lpc, and lprm programs; dynamic
redirection of print queues; automatic job holding; highly verbose
diagnostics; multiple printers serving a single queue; client programs
do not need to run SUID root; greatly enhanced security checks; and a
greatly improved permission and authorization mechanism.

The source software compiles and runs on a wide variety of UNIX systems,
and is compatible with other print spoolers and network printers that
use the LPR interface and meet RFC1179 requirements.  LPRng provides
emulation packages for the SVR4 lp and lpstat programs, eliminating the
need for another print spooler package. These emulation packages can be
modified according to local requirements, in order to support vintage
printing systems.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication.  LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p1 -b .decl
#%patch1 -p1 -b .krb5
%patch2 -p1 -b .glibc22
%patch3 -p1 -b .fixmake
#%patch4 -p1 -b .filter
#%patch5 -p1 -b .lockfile
%patch6 -p1 -b .fixnls
%patch7 -p1


autoconf 

%build
CFLAGS="-ggdb" ; export CFLAGS
%configure \
	--enable-nls \
	--without-included-gettext \
	--with-included-gettext \
	--with-userid=lp  \
	--with-groupid=lp \
	--with-filterdir=%{_libdir}/filters 
#\
#	--enable-kerberos --with-cppopts=-I/usr/kerberos/include --with-ldopts=-L/usr/kerberos/lib

%__make MAKEPACKAGE=YES


%install
rm -rf $RPM_BUILD_ROOT

%__make ROOT_PERMS=" 04755" INSTALL_PREFIX=${RPM_BUILD_ROOT} MAKEPACKAGE=YES mandir=%{_mandir} install


# install init script
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lprng

# install config files
install -m644 lpd.perms $RPM_BUILD_ROOT%{_sysconfdir}
install -m644 lpd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m644 printcap $RPM_BUILD_ROOT%{_sysconfdir}

# install docs
rm -f UTILS/{*.in,Makefile*}

%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ "$1" = 1 ]; then
	/sbin/chkconfig --add lprng
fi

if [ -w /etc/printcap ] ; then
	TMP1=`mktemp /etc/printcap.XXXXXX`
  	gawk '
    	BEGIN { first = 1; cont = 0; last = "" }
    	/^[:space:]*#/	{ if(cont) sub("\\\\$", "", last)}
    	{ if(first == 0) print last }
    	{ first = 0 }
    	{ last = $0 }
    	{ cont = 0 }
    	/\\$/ { cont = 1 }
    	END {sub("\\\\$", "", last); print last}
  	' /etc/printcap > ${TMP1} && cat ${TMP1} > /etc/printcap && rm -f ${TMP1}
fi



%preun
%{_sysconfdir}/rc.d/init.d/lprng stop >/dev/null 2>&1

if [ "$1" = 0 ]; then
  /sbin/chkconfig --del lprng
fi

%postun
if [ "$1" = 0 ]; then
    if [ -x %{_sysconfdir}/rc.d/init.d/lprng ]; then
            %{_sysconfdir}/rc.d/init.d/lprng condrestart >/dev/null 2>&1
    fi
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES CONTRIBUTORS COPYRIGHT INSTALL LICENSE 
%doc README* VERSION Y2KCompliance 
%doc HOWTO/{*.html,*.gif,*.ppt} UTILS
%config(noreplace) %{_sysconfdir}/lpd.conf
%config(noreplace) %{_sysconfdir}/lpd.perms
%config %{_sysconfdir}/rc.d/init.d/lprng
%attr(4755,lp,lp) %{_bindir}/lpq
%attr(4755,lp,lp) %{_bindir}/lprm
%attr(4755,lp,lp) %{_bindir}/lpr
%attr(4755,lp,lp) %{_bindir}/lpstat

%{_bindir}/lp
%{_bindir}/cancel
%attr(4755,lp,lp) %{_sbindir}/lpc
%{_sbindir}/lpd
%{_sbindir}/checkpc
%{_sbindir}/lpraccnt
%{_libdir}/filters/*
%{_mandir}/*/*


%changelog
* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.6.24-3mdk
- rebuild

* Wed Oct  4 2000 Vincent Danen <vdanen@mandrakesoft.com> 3.6.24-2mdk 
- applied security patch, fix potential root hack via use_syslog function

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.6.24-1mdk 
- fixed source permission
- used srpm, once again ;) ,  provided by Christian Zoffoli <czoffoli@linux-mandrake.com>
	- new version

* Tue Aug 15 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.6.23-1mdk
- new version

* Wed Aug 9 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.6.22-1mdk
- new version
- BM
- macroszification
- merge with RH
- fixed nls

* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.6.12-2mdk
- bz2 patch
- fix group
* Wed Feb 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
  - made patch so users can build the package
  - altered .spec file --> checkconfig for redhat / mandrake
* Mon Sep 13 1999 Patrick Powell <papowell@astart.com>
  - resolved problems with symbolic links to /etc/init.d
    files - used the chkconfig facility
* Sat Sep  4 1999 Patrick Powell <papowell@astart.com>
  - did ugly things to put the script in the spec file
* Sat Aug 28 1999 Giulio Orsero <giulioo@tiscalinet.it>
  - 3.6.8
* Fri Aug 27 1999 Giulio Orsero <giulioo@tiscalinet.it>
  - 3.6.7 First RPM build.













